> ## Documentation Index
> Fetch the complete documentation index at: https://levers9.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Private compute pools



## OpenAPI

````yaml /api-reference/openapi/controlplane.openapi.json post /pools:offers
openapi: 3.0.0
info:
  title: levers9 controlplane API
  version: 1.0.0
  description: >-
    REST view of the levers9 controlplane gRPC service, served by the
    controlplane on port 1994. Authenticate with `Authorization: Bearer
    <token>`.
servers:
  - url: https://levers9.uselevers.com
    description: local controlplane
  - url: https://api.uselevers.com
    description: hosted
security:
  - bearer: []
tags:
  - name: ControlPlaneService
paths:
  /pools:offers:
    post:
      tags:
        - ControlPlaneService
      summary: Private compute pools
      operationId: ControlPlaneService_ListPoolOffers
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/controlplaneListPoolOffersRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controlplaneListPoolOffersResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    controlplaneListPoolOffersRequest:
      type: object
      properties:
        pool:
          $ref: '#/components/schemas/controlplanePoolConfig'
    controlplaneListPoolOffersResponse:
      type: object
      properties:
        ok:
          type: boolean
        errMsg:
          type: string
        offers:
          type: array
          items:
            $ref: '#/components/schemas/controlplanePoolOffer'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    controlplanePoolConfig:
      type: object
      properties:
        name:
          type: string
        gpu:
          type: array
          items:
            type: string
        nodes:
          type: integer
          format: int64
        ttl:
          type: string
        maxSpend:
          type: number
          format: double
        providers:
          type: array
          items:
            type: string
        regions:
          type: array
          items:
            type: string
        minReliability:
          type: number
          format: double
        selector:
          type: string
        mode:
          type: string
        transport:
          type: string
        fallback:
          type: string
        priority:
          type: integer
          format: int32
        offerId:
          type: string
        containerRuntime:
          type: string
          description: Runtime for workers in this pool.
    controlplanePoolOffer:
      type: object
      properties:
        id:
          type: string
        provider:
          type: string
        instanceType:
          type: string
        region:
          type: string
        gpu:
          type: string
        gpuCount:
          type: integer
          format: int64
        cpuMillicores:
          type: string
          format: int64
        memoryMb:
          type: string
          format: int64
        hourlyCostMicros:
          type: string
          format: int64
        reliability:
          type: number
          format: double
        available:
          type: integer
          format: int64
        storageMb:
          type: string
          format: int64
        cloud:
          type: string
        nodeCount:
          type: integer
          format: int64
        displayName:
          type: string
        category:
          type: string
        regionDisplayName:
          type: string
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.